/**
 * This program runs threads in parallel.
 */
public class ThreadTester 
{
    public static void main(String[] args) 
    {
        BoundedQueue queue = new BoundedQueue(10);
        
        final int PRODUCER_C0UNT = 2;
        final int MESSAGE_COUNT = 100;
        
        Runnable run1 = new Producer("A Message",
                                     queue, 1, MESSAGE_COUNT);
        Runnable run2 = new Producer("B Message",
                                     queue, 2, MESSAGE_COUNT);
        Runnable run3 = new Consumer(queue, PRODUCER_C0UNT*MESSAGE_COUNT);

        Thread thread1 = new Thread(run1);
        Thread thread2 = new Thread(run2);
        Thread thread3 = new Thread(run3);

        thread1.start();
        thread2.start();
        thread3.start();
    }
}
